<?php

namespace FiloBlu\Flow\Block\Adminhtml\Channel\Renderer;

class OrderStatus implements \Magento\Framework\Data\OptionSourceInterface
{

    protected $collectionFactory;

    public function __construct(\Magento\Sales\Model\ResourceModel\Order\Status\CollectionFactory $colleftionFactory)
    {
        $this->collectionFactory = $colleftionFactory;
    }

    public function toOptionArray()
    {

        $output = [];
        foreach ($this->collectionFactory->create()->getItems() as $item) {
            $output[] = ['label' => $item->getData('label'), 'value' => $item->getData('status')];
        }

        return $output;
    }

}

//class ItemList extends Template